=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2008-08-27 18:24:50 +0000
+++ bzrlib/bzrdir.py	2008-08-27 19:02:58 +0000
@@ -1114,7 +1114,8 @@
                 result, revision_id=_mod_revision.NULL_REVISION)
         mutter("created new branch %r" % (result_branch,))
         repository_policy.configure_branch(result_branch)
-        source_branch.copy_content_into(result_branch, revision_id)
+        if source_branch is not None:
+            source_branch.copy_content_into(result_branch, revision_id)
 
         # Create/update the result working tree
         if isinstance(target_transport, LocalTransport) and (

=== modified file 'bzrlib/tests/test_bzrdir.py'
--- bzrlib/tests/test_bzrdir.py	2008-08-26 21:05:26 +0000
+++ bzrlib/tests/test_bzrdir.py	2008-08-27 19:02:58 +0000
@@ -1175,6 +1175,9 @@
     def sprout(self, *args, **kwargs):
         self.calls.append('sprout')
 
+    def copy_content_into(self, destination, revision_id=None):
+        self.calls.append('copy_content_into')
+
 
 class TestBzrDirSprout(TestCaseWithMemoryTransport):
 
@@ -1204,5 +1207,4 @@
         result = source_bzrdir.sprout(target_url, recurse='no')
 
         # The bzrdir called the branch's sprout method.
-        self.assertEqual(['sprout'], source_bzrdir.test_branch.calls)
-        
+        self.assertSubset(['sprout'], source_bzrdir.test_branch.calls)

